Page MenuHomePhabricator

Debounce key presses more aggressively in media search
Closed, ResolvedPublic1 Estimated Story Points

Description

So we don't send requests for every single keypress and then abort them immediately. I think the delay to use is 250ms but look at what OO.ui.LookupInputWidget (or MWLinkTargetInputWidget?) uses.

Event Timeline

Catrope created this task.Jan 31 2015, 12:07 AM
Catrope assigned this task to MSchottlender-WMF.
Catrope raised the priority of this task from to Needs Triage.
Catrope updated the task description. (Show Details)
Catrope added a subscriber: Catrope.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 31 2015, 12:07 AM
Catrope set Security to None.
Jdforrester-WMF triaged this task as Medium priority.Feb 2 2015, 9:58 PM
gerritbot added a subscriber: gerritbot.

Change 188205 had a related patch set uploaded (by Mooeypoo):
Increase user-input delay in MediaSearchWidget

https://gerrit.wikimedia.org/r/188205

Patch-For-Review

Jdforrester-WMF renamed this task from Debounce key presses in media search to Debounce key presses more aggressively in media search.Feb 2 2015, 11:45 PM
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF moved this task from Bug Fixes to Q4 on the VisualEditor board.

Change 188205 merged by jenkins-bot:
Increase user-input delay in MediaSearchWidget

https://gerrit.wikimedia.org/r/188205

Jdforrester-WMF edited a custom field.Mar 9 2015, 6:10 PM